<?php
declare(strict_types=0);
foreach($_GET  as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}  
foreach($_POST as $key => $value){${$key}=trim($value);$_PARAMS[$key]=${$key};}

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);


$zid='datos';
$zlabel='Datos';
$zvalue=$datos;
$zwidth=20;
$zrows=5;
include('ele_input.php');


// $zobj=1;
// include('ele_break.php');



$zid='carga';
$zlabel='Cargar';
$zonclick='upld_smm2();';
// $zalign='right';
include('ele_button.php');

$zobj=1;
include('ele_break.php');



?>
<div id="divextra1"></div>


<script>
function upld_smm2()
{
     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
     var datos=document.getElementById('datos').value;
//      var xfile;     
     var data;
     
     //file or number
//      console.log(document.getElementById(idfile).type);
     
//      if(document.getElementById(idfile).type=='file')
     {
//           xfile=document.getElementById(idfile);
//           if(xfile.files.length==0)
//           {document.getElementById(idfile).click();return;}
          
//                for(var idx=0; idx<xfile.files.length; idx++)
               {
                    data=new FormData();
                    data.append('script','upld_smm2');
                    data.append('datos',datos);
                    exe_ajax(data,'divextra1','',false);
//                     dato=exe_ajax(datapost,'divextra1','',true);
               }
          
     }
//      else
//      {
//           xfile=document.getElementById(idfile).value;
//           if(xfile.trim().length<49){return;}
//                     data=new FormData();
//                     data.append('script','upld_cele');
//                     data.append('xfile',xfile);
//                     exe_ajax(data,'','',false);
//      }
          
//      Swal.fire({
//        title: 'Subir Archivos ?',
//        text: document.getElementById(idfile).files.length+' Claves_Acceso',
//        icon: 'warning',
//        focusCancel: true,
//        showCancelButton: true,
//        confirmButtonColor: color1,
//        cancelButtonColor: 'darkred',
//        confirmButtonText: 'SI, Subir!'
//      }).then((result) =>
//      {
//           if (result.isConfirmed){
               
//                if(document.getElementById(idfile).type=='file'){}
//                else
//                {
//                }
// //                location.reload();
//           }
//      })
     
}
     
</script>
